summaryrefslogtreecommitdiffstats
path: root/academic/lapack95
diff options
context:
space:
mode:
author dsomero2013-11-22 08:34:22 +0100
committer dsomero2013-11-22 08:34:22 +0100
commit687c78d5604ce299d5164ffd69de88f2dd10fefc (patch)
tree2c3b4dd9491198917e0178dd5a0cf0fa3e6715c8 /academic/lapack95
parent610e8461bb9b201adbd4bd9257a9bf48be71f62b (diff)
downloadslackbuilds-687c78d5604ce299d5164ffd69de88f2dd10fefc.tar.gz
various: Fix SlackBuild formatting and comment nit picks.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic/lapack95')
-rw-r--r--academic/lapack95/lapack95.SlackBuild14
1 files changed, 6 insertions, 8 deletions
diff --git a/academic/lapack95/lapack95.SlackBuild b/academic/lapack95/lapack95.SlackBuild
index d1338bc6c5..9f9e7c0376 100644
--- a/academic/lapack95/lapack95.SlackBuild
+++ b/academic/lapack95/lapack95.SlackBuild
@@ -5,24 +5,22 @@
# Written by Pablo Santamarķa (pablosantamaria@gmail.com)
PRGNAM=lapack95
-VERSION=${VERSION:-3.0}
+VERSION=${VERSION:-3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -38,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -56,14 +54,14 @@ find . \
# Copy the pre-configured make.inc file but put in the correct LIBDIR
sed "s%@LIBDIR@%/usr/lib${LIBDIRSUFFIX}%" $CWD/make.inc > make.inc
-# Make single and double precision, complex and double complex
+# Make single and double precision, complex and double complex
# static library.
cd SRC
make -j1 clean
make -j1 OPTS0="$SLKCFLAGS" single_double_complex_dcomplex
cd ..
-# Install lib
+# Install lib
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
cp $PRGNAM.a $PKG/usr/lib${LIBDIRSUFFIX}/lib$PRGNAM.a